/* C Example */
#include <stdio.h>
#include <mpi.h>
#include <math.h>


int main (int argc, char *argv[])
{
	int rank, size;
    MPI_Init(&argc, &argv);
    MPI_Comm_size(MPI_COMM_WORLD, &size);	
    MPI_Comm_rank(MPI_COMM_WORLD, &rank);
	
	char jmeno[100];
	sprintf(jmeno, "gnome-terminal --execute /home/lubajz/gams/23.2/gams /home/lubajz/cpp/ScenarioDriver/scenario%d.gms", rank + 1);
	
    system(jmeno);
 
    MPI_Finalize();
  
    printf("> Proces %d hotovo!\n", rank);
  
  return 0;
}


